GNU bug report logs - #31221
Cross compiling perl with guix pack fails

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Raphaël Mélotte <raphael.melotte@HIDDEN>; merged with #27149; dated Thu, 19 Apr 2018 21:08:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 27149 31221. Request was from Ricardo Wurmus <rekado@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 31221 <at> debbugs.gnu.org:


Received: (at 31221) by debbugs.gnu.org; 22 Apr 2018 19:53:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 22 15:53:56 2018
Received: from localhost ([127.0.0.1]:36143 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fAL3c-00049L-NI
	for submit <at> debbugs.gnu.org; Sun, 22 Apr 2018 15:53:56 -0400
Received: from hera.aquilenet.fr ([185.233.100.1]:49850)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1fAL3a-00049C-NI
 for 31221 <at> debbugs.gnu.org; Sun, 22 Apr 2018 15:53:55 -0400
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id A961012035;
 Sun, 22 Apr 2018 21:53:53 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id qWQuU6HBy1SS; Sun, 22 Apr 2018 21:53:53 +0200 (CEST)
Received: from ribbon (unknown [IPv6:2a01:e0a:1d:7270:af76:b9b:ca24:c465])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id C408E1202B;
 Sun, 22 Apr 2018 21:53:52 +0200 (CEST)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: =?utf-8?Q?Rapha=C3=ABl_M=C3=A9lotte?= <raphael.melotte@HIDDEN>
Subject: Re: bug#31221: Cross compiling perl with guix pack fails
References: <CA+68scui5_yMhvJyus8Na0ou3nevNPQVQB8Lc1gbGCJz5VWR4g@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 3 =?utf-8?Q?Flor=C3=A9al?= an 226 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sun, 22 Apr 2018 21:53:51 +0200
In-Reply-To: <CA+68scui5_yMhvJyus8Na0ou3nevNPQVQB8Lc1gbGCJz5VWR4g@HIDDEN>
 (=?utf-8?Q?=22Rapha=C3=ABl_M=C3=A9lotte=22's?= message of "Thu, 19 Apr 2018
 22:58:49 +0200")
Message-ID: <87604jhvao.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 31221
Cc: 31221 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hello,

Rapha=C3=ABl M=C3=A9lotte <raphael.melotte@HIDDEN> skribis:

> I'm trying to make a wireshark package for an old 32bit system where I
> cannot install guix but it always fails with the same error. This is the
> command I'm using:
> guix pack -S /opt/gnu/bin=3Dbin --target=3Di686-pc-linux-gnu wireshark

The analysis of Chris looks correct.

In the meantime, note that if you=E2=80=99re on x86_64, you do not need to
cross-compile to produce i686 binaries.  Instead, you can simply run:

  guix pack =E2=80=A6 -s i686-linux wireshark

This is because x86_64 can run i686 code just fine, and so guix-daemon
will arrange to make an i686 container.

HTH,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#31221; Package guix. Full text available.

Message received at 31221 <at> debbugs.gnu.org:


Received: (at 31221) by debbugs.gnu.org; 21 Apr 2018 21:23:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 21 17:23:31 2018
Received: from localhost ([127.0.0.1]:35213 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f9zyl-0002Nu-LS
	for submit <at> debbugs.gnu.org; Sat, 21 Apr 2018 17:23:31 -0400
Received: from mail-pg0-f43.google.com ([74.125.83.43]:34970)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cmmarusich@HIDDEN>) id 1f9zyk-0002Nc-5N
 for 31221 <at> debbugs.gnu.org; Sat, 21 Apr 2018 17:23:30 -0400
Received: by mail-pg0-f43.google.com with SMTP id j11so5712809pgf.2
 for <31221 <at> debbugs.gnu.org>; Sat, 21 Apr 2018 14:23:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=t0jyz51ksBm5jpPYJ0QuSpzMwmeil4Nejj8rYxeGNdw=;
 b=jsn9U/L0dX7lvxj9TVha1l6nJxKGTiY6NDJXFcfxllQ741lFJIZhOMfDapgsGbJU5Y
 oLMXGUsIAoL73kTdNxkkud8U6LtnXDRazSzdW3eAU5V6bvsFwhsqKmblTh61l9eafduY
 XJ52xhh7bUeEvH6e8Kh/iVJ/4oAdp1EzIeaxs12GRO7wHB+lZasVOf0i++aYhqW5M9Dj
 YKvwBn9XJ7GMHszX+Puwg5ehpORrbV4vMBaqDJ3C/fR7GM8fzNO8VHC9B9ZinMAIUBCS
 Gp6J6dHMSPIgimXJk4ETJMN+PjCgXCI7c6vzvVAjZHDLGWmEizqMcnFx6jdWjx4mN10u
 IfVA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=t0jyz51ksBm5jpPYJ0QuSpzMwmeil4Nejj8rYxeGNdw=;
 b=J7aTzup4lsPmSs+3N6pt4XjjBcahw0+JrYawj+9GZNGUHtRXkY4IfAuVinJ2pxtltL
 iFDhHo/PrmsXoyElRYfzkT0bS1V6ALGt3NTPgiuNK1/aHIzJSufILSKXIw0+/YnGtczT
 tomS5ML8uV1D7/rqk81fxA7iQoB6nhCELbOwF5TFP/4M5C4YrVUq6dltsXg7WT9F4vbZ
 q8CEwfmIUfM+VdIVEbJtIUT5HU824j6Srq8xepwjbw4wkXw/7JCtmEpGJgTxmZ+hR/06
 T0FRnk5CDITV/sTQtkQKY7tkNc7ZFET4pnyxy3Cbmcl/WAamqbmmZqH3KWEokLOjuTCP
 UuuQ==
X-Gm-Message-State: ALQs6tDqqA9IwAP5gVBhl/vlQGvVTPqu940RRcycMTVSLRMR8pIzwUzS
 6PicL5fMdGc1WC5XasZjJfvrLg==
X-Google-Smtp-Source: AIpwx4+nqSVYowIW+SHl/oaCOcOkqCdnlbMkidCy0g3si6I/EZYuH9jp1jVza+IAZ7izt4Qd55Th0g==
X-Received: by 10.99.111.202 with SMTP id k193mr12196876pgc.147.1524345803654; 
 Sat, 21 Apr 2018 14:23:23 -0700 (PDT)
Received: from garuda.local (c-24-18-253-84.hsd1.wa.comcast.net.
 [24.18.253.84])
 by smtp.gmail.com with ESMTPSA id n8sm16913481pfj.24.2018.04.21.14.23.21
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sat, 21 Apr 2018 14:23:22 -0700 (PDT)
From: Chris Marusich <cmmarusich@HIDDEN>
To: =?utf-8?Q?Rapha=C3=ABl_M=C3=A9lotte?= <raphael.melotte@HIDDEN>
Subject: Re: bug#31221: Cross compiling perl with guix pack fails
References: <CA+68scui5_yMhvJyus8Na0ou3nevNPQVQB8Lc1gbGCJz5VWR4g@HIDDEN>
Date: Sat, 21 Apr 2018 14:23:18 -0700
In-Reply-To: <CA+68scui5_yMhvJyus8Na0ou3nevNPQVQB8Lc1gbGCJz5VWR4g@HIDDEN>
 (=?utf-8?Q?=22Rapha=C3=ABl_M=C3=A9lotte=22's?= message of "Thu, 19 Apr 2018
 22:58:49 +0200")
Message-ID: <8736zouud5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31221
Cc: 31221 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi Rapha=C3=ABl,

Thank you for the information!

Rapha=C3=ABl M=C3=A9lotte <raphael.melotte@HIDDEN> writes:

> starting phase `remove-extra-references'
> ...
> In unknown file:
>            1 (string-append "incpth=3D'" #f "/include'\n")
> ...
> In procedure string-append: Wrong type (expecting string): #f

The Perl package definition contains the following:

  (add-after 'install 'remove-extra-references
    (lambda* (#:key inputs outputs #:allow-other-keys)
      (let* ((out     (assoc-ref outputs "out"))
             (libc    (assoc-ref inputs "libc"))
             (config1 (car (find-files (string-append out "/lib/perl5")
                                       "^Config_heavy\\.pl$")))
             (config2 (find-files (string-append out "/lib/perl5")
                                  "^Config\\.pm$")))
        ;; Force the library search path to contain only libc because
        ;; it is recorded in Config.pm and Config_heavy.pl; we don't
        ;; want to keep a reference to everything that's in
        ;; $LIBRARY_PATH at build time (GCC, Binutils, bzip2, file,
        ;; etc.)
        (substitute* config1
          (("^incpth=3D.*$")
           (string-append "incpth=3D'" libc "/include'\n"))
          (("^(libpth|plibpth|libspath)=3D.*$" _ variable)
           (string-append variable "=3D'" libc "/lib'\n")))

        (for-each (lambda (file)
                    (substitute* config2
                      (("libpth =3D> .*$")
                       (string-append "libpth =3D> '" libc
                                      "/lib',\n"))))
                  config2)
        #t)))

It seems likely that (assoc-ref inputs "libc") is evaluating to #f
during the build.  You can check if this is the case by using Guile's
undocumented "pk" procedure ("pk" is short for "peek stuff").  For
example, change this line

             (libc    (assoc-ref inputs "libc"))

to this:

             (libc    (pk (assoc-ref inputs "libc")))

Assuming that's the problem, the next question is: why is it happening?
Probably, something about the cross-compilation is causing "libc" to be
removed from the inputs.

After looking around in places like guix/packages.scm,
guix/build-system/gnu.scm, and guix/build/gnu-build-system.scm, it looks
like maybe what we need to do is check to see if we're cross-compiling,
and then try to get "cross-libc" instead of "libc" from the inputs.

It turns out that we already do this for some packages, like the shadow
package.  We probably just need to do the same kind of thing shadow is
doing in its "set-nscd-file-name" phase, which looks like this:

  (add-before 'build 'set-nscd-file-name
    (lambda* (#:key inputs #:allow-other-keys)
      ;; Use the right file name for nscd.
      (let ((libc (assoc-ref inputs
                             ,(if (%current-target-system)
                                  "cross-libc"
                                  "libc"))))
        (substitute* "lib/nscd.c"
          (("/usr/sbin/nscd")
           (string-append libc "/sbin/nscd"))))))

I would make a patch and test this myself for Perl, but I recently ran
Guix pull, so it's taking me hours to build anything.  I'll have to get
back to you later with a fix because of that delay.  Please feel free to
try making the change yourself in the meantime!

=2D-=20
Chris

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEy/WXVcvn5+/vGD+x3UCaFdgiRp0FAlrbq8YACgkQ3UCaFdgi
Rp0v7RAAi2E8l8h+D+JLvI9LRDQGa5zllfyNwtBQMa1ts5v6n15jNRo3VkNL6giG
DeKt8UDQ3TYN/qfBG71MfMoxSkSUsNRqWc7T+KrpvW6TEOG9m5q5jFegEgkYwC6k
QCxjktI2QEpsfXMa4JLKzN5aZfL7NZqCOI1RCK12hEP8q67jCZ9ce5c45hcHiW3s
HFqViIuZj7UvUFn7ixgfuLd6pxXKOMuquP3nP4VK034amNKSM56w04uFeoeP74T7
fRqDtLHbMmE/5MRIjFF15rod6005IkjVy1dZGgmvTKWNNxWOkYOTuqZO4JM4j5oA
0Ru2I3RNojFLlhKeVV//uE1DMP1/vjUrV24WF6/xu15th6mHLfq2H681Mj8YQ6mX
kfLMJd+3wJfughKTl+TPmfkYRQcavwJVJUUBP+yqXQiQ3mpsSz8/KjpOPjCZDHK8
0v6F6ConFSE2Ja6cXD14xJppgvbjuu59v3JiS5356qI+6PNkrzJb9E8c3aHC1pU6
fTYBZtly2umeaGX+yxh1qexs+PTTKds/utgCNJRlwyy2TG57XOh+lguKqzO9ARYB
sVuedUJi5Gc/4AbGBf/CKxDqc/e+rBt1MktYK0qRxk9nd622oWIfrUIxl6cqfDIi
gfUAos2PftnZ8KJHzEnWaH89c5N73b3eBqZWvPY9F881pbS/a6s=
=0/6h
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#31221; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Apr 2018 21:07:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 19 17:07:34 2018
Received: from localhost ([127.0.0.1]:33308 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f9GmD-0006cV-Hq
	for submit <at> debbugs.gnu.org; Thu, 19 Apr 2018 17:07:34 -0400
Received: from eggs.gnu.org ([208.118.235.92]:47415)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raphael.melotte@HIDDEN>) id 1f9GeQ-0006QP-SA
 for submit <at> debbugs.gnu.org; Thu, 19 Apr 2018 16:59:31 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <raphael.melotte@HIDDEN>) id 1f9GeK-0004Fl-0y
 for submit <at> debbugs.gnu.org; Thu, 19 Apr 2018 16:59:25 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 FROM_EXCESS_BASE64,HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:59079)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <raphael.melotte@HIDDEN>)
 id 1f9GeJ-0004Fh-TK
 for submit <at> debbugs.gnu.org; Thu, 19 Apr 2018 16:59:23 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:38386)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <raphael.melotte@HIDDEN>) id 1f9GeI-0003Gm-Ao
 for bug-guix@HIDDEN; Thu, 19 Apr 2018 16:59:23 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <raphael.melotte@HIDDEN>) id 1f9GeH-0004F0-1K
 for bug-guix@HIDDEN; Thu, 19 Apr 2018 16:59:22 -0400
Received: from mail-ua0-x22d.google.com ([2607:f8b0:400c:c08::22d]:41278)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <raphael.melotte@HIDDEN>)
 id 1f9GeG-0004Dx-Qt
 for bug-guix@HIDDEN; Thu, 19 Apr 2018 16:59:20 -0400
Received: by mail-ua0-x22d.google.com with SMTP id l3so2804703uak.8
 for <bug-guix@HIDDEN>; Thu, 19 Apr 2018 13:59:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=pWuRN5FgPZVsmQsMUC5sBho2TqOj4UI/F26Vj0DJJRM=;
 b=Idj9IIb2EQxucB76MSVgHFUNv65JRalPr2CzOLzuwDFvvAeI6UJO/Iqn6dp2O8pJIR
 xpthKs/1r9bpI2+DQQOgfALi9WfMPDaXm1cbo6nZH9wl63An6NXwQMPZIc8xmhOWbXLU
 Enukx6kpURUl39SAEJ3ROGWsuPxORb0rTrJg/4OA2ZM1XXrc9xNc/TAJmzihwy1b/ZNP
 WGc3Jv65KHszQn9wUlf2PYPE9U+dHG7SPYO5tvzcWdapv+2hiMdJL7McKDFybyqqR6jT
 hC1NSXDFVWXFnCKbCEO2m0TXEMRKKbjr4G9xVxzArZH0j4toUu9rUoMBTrjVbPmF9LET
 9sNg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=pWuRN5FgPZVsmQsMUC5sBho2TqOj4UI/F26Vj0DJJRM=;
 b=np7jtuX6xKUhMfUV7fTjyOQnRRztdatoKayxvgvp+HAIjzigeRtfyTz9YeZemlOnsR
 79MQ4pckdg/rBCoibgPiqqbAelc9hHz+f6WzAR1pLNUCUj3Lxao1O+fonO2B4cGiCEbc
 tNoJ7io4Lw+oWtjWMVeZ/oYlo2Y2YOgQ/szvu+doT5C9RKpFyIcee4yiM22CGmVB+0c5
 zZjZ2n/WCNFDLpngwzd8HVsgIdwMRL2JUYRPraikRPzrfKiPavUhnxhiIK/obvirjCPs
 nubDBqPG8w2RUTOHGiMNxaPCmY5GYLCCicXxsBRcqoYhIqcm+Jh5CLDwdikKTZlulNB5
 UBjQ==
X-Gm-Message-State: ALQs6tDSUXZxihKXoxWghlInD+WlRJmYtCpn9RxgV7m76dva8VqLH1PP
 Csy68eo1rNPHz/XXiI6nQZCvCJbuaioTxGbTpvDpMA==
X-Google-Smtp-Source: AIpwx4/VuUT4+s3WTtKQjy+ocIzaFLjGthkkRPWhze6/j8xcHcf925+Dvxed1O8gQKZvQIM2HTQHa6g9B8eNVdRBiho=
X-Received: by 10.176.83.91 with SMTP id y27mr3019305uay.146.1524171559359;
 Thu, 19 Apr 2018 13:59:19 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.103.136.193 with HTTP; Thu, 19 Apr 2018 13:58:49 -0700 (PDT)
From: =?UTF-8?B?UmFwaGHDq2wgTcOpbG90dGU=?= <raphael.melotte@HIDDEN>
Date: Thu, 19 Apr 2018 22:58:49 +0200
Message-ID: <CA+68scui5_yMhvJyus8Na0ou3nevNPQVQB8Lc1gbGCJz5VWR4g@HIDDEN>
Subject: Cross compiling perl with guix pack fails
To: bug-guix@HIDDEN
Content-Type: multipart/alternative; boundary="94eb2c1926645f5b2b056a39d8eb"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.9 (---)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 19 Apr 2018 17:07:31 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.9 (----)

--94eb2c1926645f5b2b056a39d8eb
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hello,

I'm trying to make a wireshark package for an old 32bit system where I
cannot install guix but it always fails with the same error. This is the
command I'm using:
guix pack -S /opt/gnu/bin=3Dbin --target=3Di686-pc-linux-gnu wireshark

And this is the error I get:

starting phase `remove-extra-references'
Backtrace:
          13 (primitive-load "/gnu/store/304qy7gcwfsfsfxi9x98j5kw7i2=E2=80=
=A6")
In ice-9/eval.scm:
   191:35 12 (_ _)
In srfi/srfi-1.scm:
   863:16 11 (every1 #<procedure a40380 at /gnu/store/71d3rwa514j7v=E2=80=
=A6> =E2=80=A6)
In
/gnu/store/71d3rwa514j7vy5l4vfivf68g5yxibvl-module-import/guix/build/gnu-bu=
ild-system.scm:
   711:27 10 (_ _)
In ice-9/eval.scm:
    619:8  9 (_ #(#(#(#(#(#(#<directory (guile-user)=E2=80=A6>) =E2=80=A6) =
=E2=80=A6) =E2=80=A6) =E2=80=A6) =E2=80=A6))
In ice-9/boot-9.scm:
    841:4  8 (with-throw-handler _ _ _)
In ice-9/ports.scm:
   444:17  7 (call-with-input-file _ _ #:binary _ #:encoding _ # _)
In
/gnu/store/71d3rwa514j7vy5l4vfivf68g5yxibvl-module-import/guix/build/utils.=
scm:
   610:26  6 (_ _)
   636:26  5 (_ #<input: /gnu/store/fvlb30v6gvm5k8hdmqz7c4g8vaaqvxr=E2=80=
=A6> =E2=80=A6)
In srfi/srfi-1.scm:
   466:18  4 (fold #<procedure 7ffff4385530 at /gnu/store/71d3rwa51=E2=80=
=A6> =E2=80=A6)
In ice-9/eval.scm:
   202:51  3 (_ #(#(#(#(#(#(#<directory (guile-user)=E2=80=A6> =E2=80=A6)) =
=E2=80=A6) =E2=80=A6) =E2=80=A6) =E2=80=A6))
    163:9  2 (_ #(#(#(#(#(#(#<directory (guile-user)=E2=80=A6> =E2=80=A6)) =
=E2=80=A6) =E2=80=A6) =E2=80=A6) =E2=80=A6))
In unknown file:
           1 (string-append "incpth=3D'" #f "/include'\n")
In ice-9/boot-9.scm:
   752:25  0 (dispatch-exception _ _ _)

ice-9/boot-9.scm:752:25: In procedure dispatch-exception:
In procedure string-append: Wrong type (expecting string): #f
builder for `/gnu/store/szkpdjdxalwb793kkbfjibvhxki33x8l-perl-5.26.2.drv'
failed with exit code 1
guix pack: error: build failed: build of
`/gnu/store/szkpdjdxalwb793kkbfjibvhxki33x8l-perl-5.26.2.drv' failed

Since it seems related to perl, I tried running the same guix pack command
for perl only, and it fails with the same error.

I found a reference in the IRC logs about the same kind of error with
another package, but I can't tell if it's really related or not. I'll still
paste that reference here just in case:
https://gnunet.org/bot/log/guix/2015-07-14#T699278

Any clue on how I could debug that ?

Thanks

--94eb2c1926645f5b2b056a39d8eb
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div><div>Hello,<br><br></div>I&#39;m trying to make a wir=
eshark package for an old 32bit system where I cannot install guix but it a=
lways fails with the same error. This is the command I&#39;m using:<br>guix=
 pack -S /opt/gnu/bin=3Dbin --target=3Di686-pc-linux-gnu wireshark<br><br><=
/div>And this is the error I get:<br><div><br>starting phase `remove-extra-=
references&#39;<br>Backtrace:<br>=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0 13 (primitive-load &quot;/gnu/store/304qy7gcwfsfsfxi9x98j5kw7i=
2=E2=80=A6&quot;)<br>In ice-9/eval.scm:<br>=C2=A0=C2=A0 191:35 12 (_ _)<br>=
In srfi/srfi-1.scm:<br>=C2=A0=C2=A0 863:16 11 (every1 #&lt;procedure a40380=
 at /gnu/store/71d3rwa514j7v=E2=80=A6&gt; =E2=80=A6)<br>In /gnu/store/71d3r=
wa514j7vy5l4vfivf68g5yxibvl-module-import/guix/build/gnu-build-system.scm:<=
br>=C2=A0=C2=A0 711:27 10 (_ _)<br>In ice-9/eval.scm:<br>=C2=A0=C2=A0=C2=A0=
 619:8=C2=A0 9 (_ #(#(#(#(#(#(#&lt;directory (guile-user)=E2=80=A6&gt;) =E2=
=80=A6) =E2=80=A6) =E2=80=A6) =E2=80=A6) =E2=80=A6))<br>In ice-9/boot-9.scm=
:<br>=C2=A0=C2=A0=C2=A0 841:4=C2=A0 8 (with-throw-handler _ _ _)<br>In ice-=
9/ports.scm:<br>=C2=A0=C2=A0 444:17=C2=A0 7 (call-with-input-file _ _ #:bin=
ary _ #:encoding _ # _)<br>In /gnu/store/71d3rwa514j7vy5l4vfivf68g5yxibvl-m=
odule-import/guix/build/utils.scm:<br>=C2=A0=C2=A0 610:26=C2=A0 6 (_ _)<br>=
=C2=A0=C2=A0 636:26=C2=A0 5 (_ #&lt;input: /gnu/store/fvlb30v6gvm5k8hdmqz7c=
4g8vaaqvxr=E2=80=A6&gt; =E2=80=A6)<br>In srfi/srfi-1.scm:<br>=C2=A0=C2=A0 4=
66:18=C2=A0 4 (fold #&lt;procedure 7ffff4385530 at /gnu/store/71d3rwa51=E2=
=80=A6&gt; =E2=80=A6)<br>In ice-9/eval.scm:<br>=C2=A0=C2=A0 202:51=C2=A0 3 =
(_ #(#(#(#(#(#(#&lt;directory (guile-user)=E2=80=A6&gt; =E2=80=A6)) =E2=80=
=A6) =E2=80=A6) =E2=80=A6) =E2=80=A6))<br>=C2=A0=C2=A0=C2=A0 163:9=C2=A0 2 =
(_ #(#(#(#(#(#(#&lt;directory (guile-user)=E2=80=A6&gt; =E2=80=A6)) =E2=80=
=A6) =E2=80=A6) =E2=80=A6) =E2=80=A6))<br>In unknown file:<br>=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 1 (string-append &quot;inc=
pth=3D&#39;&quot; #f &quot;/include&#39;\n&quot;)<br>In ice-9/boot-9.scm:<b=
r>=C2=A0=C2=A0 752:25=C2=A0 0 (dispatch-exception _ _ _)<br><br>ice-9/boot-=
9.scm:752:25: In procedure dispatch-exception:<br>In procedure string-appen=
d: Wrong type (expecting string): #f<br>builder for `/gnu/store/szkpdjdxalw=
b793kkbfjibvhxki33x8l-perl-5.26.2.drv&#39; failed with exit code 1<br>guix =
pack: error: build failed: build of `/gnu/store/szkpdjdxalwb793kkbfjibvhxki=
33x8l-perl-5.26.2.drv&#39; failed<br><br></div><div>Since it seems related =
to perl, I tried running the same guix pack command for perl only, and it f=
ails with the same error.<br><br></div><div>I found a reference in the IRC =
logs about the same kind of error with another package, but I can&#39;t tel=
l if it&#39;s really related or not. I&#39;ll still paste that reference he=
re just in case:<br><a href=3D"https://gnunet.org/bot/log/guix/2015-07-14#T=
699278">https://gnunet.org/bot/log/guix/2015-07-14#T699278</a><br><br></div=
><div>Any clue on how I could debug that ?<br><br></div><div>Thanks<br></di=
v><div><br></div></div>

--94eb2c1926645f5b2b056a39d8eb--




Acknowledgement sent to Raphaël Mélotte <raphael.melotte@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#31221; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 23 Apr 2018 08:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.